Subject: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

From: Linda Dunbar <[email-masked]>
Date: Wed, 4 Nov 2020 22:43:42 +0000

Acee,

Thank you very much for suggesting using the Prefix TLV for carry the Running Status and environment of 5G Edge Computing servers.

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

  *   Load measurement sub-TLV
  *   Capacity Index  Sub-TLV
  *   Preference Index  Sub-TLV

Several sections of the draft are devoted to describe what those measurement are and why need them for 5G Edge Computing, which may have made it not so straightforward when reading in a rush.

The Goal of the OSPF extension is to carry those Sub-TLVs in the router’s LSA to be advertised to other routers in the 5G Local Data Network.

If using your suggested RFC7684 OSPFv2 Extended Prefix TLV, the extension does seem easier and cleaner:

We can have:
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Type                          | Length                        |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Route Type    | Prefix Length | AF            | Flags         |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Address Prefix (variable)                                     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Load Measurement Sub-TLV                                      |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| capacity Index Sub-TLV                                        |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Site Preference Sub-TLV                                       |
~                                                               ~
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

RFC7684 only has the Extended Prefix TLV for IPv4. If the App Server addresses are in IPv6, should we specify the extension to RFC8362 in the same draft? Or define a new AF type for the same extension to RFC7684?

Your guidance is greatly appreciated.

Thank you very much.

Linda Dunbar

From: Acee Lindem (acee) <[email-masked]>
Sent: Tuesday, November 3, 2020 1:38 PM
To: Linda Dunbar <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

We have a pretty full schedule and we add you as optional. I took a look at the draft and it is all over the place right now with standardization requested for one solution but 3 separate solutions partially specified. It could benefit from some WG mailing list discussion prior to a 10 minute presentation where we wouldn’t have time to discuss the many issues.

One major issue is that you should be extending RFC 7684 rather than RFC 3630 and it seems you these app-server selection metrics should be associated with a prefix and NOT a stub link (i.e., the application server address).

I’ll try to read it in more depth before IETF 109.

Thanks,
Acee

From: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 2, 2020 at 10:12 PM
To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, Christian Hopps <[email-masked]<mailto:[email-masked]>>
Resent-Date: Monday, November 2, 2020 at 10:12 PM

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C83f990f38fe14407efe208d880300245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637400290992237706%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CooHUjUYe%2BePz9rwBZe0orzPqku%2BoSL%2FrMVVa%2Fl2uIc%3D&reserved=0>

This draft describes an OSPF extension that can distribute the 5G Edge Computing App running status and environment, so that other routers in the 5G Local Data Network can make intelligent decision on optimizing forwarding of flows from UEs. The goal is to improve latency and performance for 5G Edge Computing services.

Thank you very much,

Linda Dunbar

From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Yingzhen Qu
Sent: Monday, October 19, 2020 3:52 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Lsr] IETF 109 LSR Presentation Slot Requests

Hi all,

We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to [email-masked]<mailto:[email-masked]> indicating draft name, speaker, and desired duration (covering presentation and discussion).

LSR session is scheduled on Monday, Nov 16, 12:00-14:00 ICT.

Thanks,
Yingzhen

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 4 Nov 2020 15:15:33 -0800

For OSPFv3 use E-LSAs (RFC8362)

Cheers,
Jeff
On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked]>, wrote:
>  • Load measurement sub-TLV
>  • Capacity Index  Sub-TLV
>  • Preference Index  Sub-TLV
>
> From: Linda Dunbar <[email-masked]>
> To: Yingzhen Qu <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Resent-From: <[email-masked]>
> Resent-To: Yingzhen Qu <[email-masked]>, Acee Lindem <[email-masked]>, Christian Hopps <[email-masked]>
> https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/
>
> From: Lsr <[email-masked]> On Behalf Of Yingzhen Qu
> To: [email-masked]; [email-masked]
> We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to [email-masked] indicating draft name, speaker, and desired duration (covering presentation and discussion).
>
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 5 Nov 2020 00:42:28 +0000

Exactly.
Thanks,
Acee

From: Jeff Tantsura <[email-masked]>
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked]>, Yingzhen Qu <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Linda Dunbar <[email-masked]>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Cheers,
Jeff

We can have:

Thank you very much.

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen,

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 5 Nov 2020 10:02:30 +0800

Hi, Linda:

Is it better to add some analysis for the flooding influences on the router performance when we add such dynamic information within the IGP protocol?

Best Regards

Aijun Wang

China Telecom

From: [email-masked] [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Thursday, November 5, 2020 6:44 AM
To: Acee Lindem (acee) <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]
Subject: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Acee, 

Ø  Load measurement sub-TLV  

Ø  Capacity Index  Sub-TLV                             

Ø  Preference Index  Sub-TLV                                                   

We can have: 

| Type                          | Length                        |

~                                                               ~ 

~                                                               ~ 

~                                                               ~  

 

Thank you very much. 

Linda Dunbar

From: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> > 
Sent: Tuesday, November 3, 2020 1:38 PM
To: Linda Dunbar <[email-masked] <mailto:[email-masked]> >; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

Thanks,
Acee

From: Linda Dunbar <[email-masked] <mailto:[email-masked]> >
Date: Monday, November 2, 2020 at 10:12 PM
To: Yingzhen Qu <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests
Resent-From: <[email-masked] <mailto:[email-masked]> >
Resent-To: Yingzhen Qu <[email-masked] <mailto:[email-masked]> >, Acee Lindem <[email-masked] <mailto:[email-masked]> >, Christian Hopps <[email-masked] <mailto:[email-masked]> >
Resent-Date: Monday, November 2, 2020 at 10:12 PM

LSR Chairs, YingZhen, 

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C83f990f38fe14407efe208d880300245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637400290992237706%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CooHUjUYe%2BePz9rwBZe0orzPqku%2BoSL%2FrMVVa%2Fl2uIc%3D&reserved=0> 

Thank you very much, 

Linda Dunbar

From: Lsr <[email-masked] <mailto:[email-masked]> > On Behalf Of Yingzhen Qu
Sent: Monday, October 19, 2020 3:52 PM
To: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: [Lsr] IETF 109 LSR Presentation Slot Requests

Hi all, 

We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to  <mailto:[email-masked]> [email-masked] indicating draft name, speaker, and desired duration (covering presentation and discussion). 

Thanks,

Yingzhen

---

From: Linda Dunbar <[email-masked]>
Date: Thu, 5 Nov 2020 16:04:01 +0000

Jeff and Acee,

I understand that RFC8362 has specifies Extended Prefix TLV for IPv6.

Since there are two separate RFCs for the Extended Prefix TLV, one for IPv4 and another one for IPv6,  I was asking if the Sub-TLVs proposed for 5G Edge Computing needs to have two separate drafts: one for IPv4 and another one for IPv6?   Or just one draft to describe the extension to both RFCs?

Linda

From: Acee Lindem (acee) <[email-masked]>
Sent: Wednesday, November 4, 2020 6:42 PM
To: Jeff Tantsura <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]; Linda Dunbar <[email-masked]>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Exactly.
Thanks,
Acee

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Cheers,
Jeff
On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked]<mailto:[email-masked]>>, wrote:
Acee,

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C5c9f2260a6984c7cdfbc08d88123af6d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401337583331433%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=bRU%2BTD46TwVTPym%2B3Xolyd5vtZhx62Hd9m1XOerHb1I%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

We can have:

Thank you very much.

Linda Dunbar

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, November 3, 2020 1:38 PM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

Thanks,
Acee

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C5c9f2260a6984c7cdfbc08d88123af6d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401337583341426%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=NghZMuTjdjOpHn0I5eCocGSvqYCQgJAWjYTrtmsWGY4%3D&reserved=0>

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr

---

From: Linda Dunbar <[email-masked]>
Date: Thu, 5 Nov 2020 16:57:07 +0000

Ai Jun,

Can you elaborate more on your proposed “analysis for the flooding influences”?

Thank you very much.

Linda

From: Aijun Wang <[email-masked]>
Sent: Wednesday, November 4, 2020 8:03 PM
To: Linda Dunbar <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda:

Best Regards

Aijun Wang
China Telecom

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Thursday, November 5, 2020 6:44 AM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Acee,

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C3afd55a40224461f77eb08d8812edd22%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401385584020792%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=Pz2aNEDCPc2A1tyT1BZg6Hnt%2BoQk802pB19SQY0l4AY%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

We can have:

Thank you very much.

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C3afd55a40224461f77eb08d8812edd22%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401385584030748%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=%2FhlxyiWkenFeMzyPKNyXi%2BVfz5IeGGs%2BcW54R491da0%3D&reserved=0>

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen

---

From: "Aijun Wang" <[email-masked]>
Date: Fri, 6 Nov 2020 09:20:36 +0800

Hi, Linda:

For example, 

What’s the update frequency of the App server status data?  Will it influence the SPF efficiency on each flooding router etc.?

Best Regards

Aijun Wang

China Telecom

From: Linda Dunbar [mailto:[email-masked]] 
Sent: Friday, November 6, 2020 12:57 AM
To: Aijun Wang <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Ai Jun, 

Thank you very much. 

Linda

From: Aijun Wang <[email-masked] <mailto:[email-masked]> > 
Sent: Wednesday, November 4, 2020 8:03 PM
To: Linda Dunbar <[email-masked] <mailto:[email-masked]> >; 'Acee Lindem (acee)' <[email-masked] <mailto:[email-masked]> >; 'Yingzhen Qu' <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda:

 

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <mailto:[email-masked]>  [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Thursday, November 5, 2020 6:44 AM
To: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> >; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Acee, 

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C3afd55a40224461f77eb08d8812edd22%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401385584020792%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=Pz2aNEDCPc2A1tyT1BZg6Hnt%2BoQk802pB19SQY0l4AY%3D&reserved=0>  proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

Ø  Capacity Index  Sub-TLV                             

We can have: 

| Type                          | Length                        |

~                                                               ~ 

~                                                               ~ 

~                                                               ~  

 

Thank you very much. 

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen, 

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C3afd55a40224461f77eb08d8812edd22%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401385584030748%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=%2FhlxyiWkenFeMzyPKNyXi%2BVfz5IeGGs%2BcW54R491da0%3D&reserved=0> 

Thank you very much, 

Linda Dunbar

Hi all, 

Thanks,

Yingzhen

---

From: "Aijun Wang" <[email-masked]>
Date: Fri, 6 Nov 2020 09:34:54 +0800

Hi, Linda, Acee, Jeff and Peter:

>From this use case, together with another draft(https://datatracker.ietf.org/doc/draft-wang-lsr-passive-interface-attribute/) that we are proposing and discussing, as in https://mailarchive.ietf.org/arch/msg/lsr/imojDOsS3W3B2H2SbmUT0QKjbxM/

It is more convincible to define one new top TLV, for example, Stub-Link TLV, to contain your current proposed sub-TLV, and other futures information.

The information contained within the Stub-Link TLV, will not participate the SPF calculation on each router.  

It is more clear than to put this information associated with the Prefix TLV.

Best Regards

Aijun Wang

China Telecom

From: [email-masked] [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Friday, November 6, 2020 12:04 AM
To: Acee Lindem (acee) <[email-masked]>; Jeff Tantsura <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Jeff and Acee, 

Linda

From: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> > 
Sent: Wednesday, November 4, 2020 6:42 PM
To: Jeff Tantsura <[email-masked] <mailto:[email-masked]> >; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ; Linda Dunbar <[email-masked] <mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Exactly. 

Thanks,
Acee

From: Jeff Tantsura <[email-masked]>
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked] <mailto:[email-masked]> >, Yingzhen Qu <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, Linda Dunbar <[email-masked] <mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Cheers, 

Jeff

On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked] <mailto:[email-masked]> >, wrote:

Acee,

In a nutshell, the  <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C5c9f2260a6984c7cdfbc08d88123af6d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401337583331433%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=bRU%2BTD46TwVTPym%2B3Xolyd5vtZhx62Hd9m1XOerHb1I%3D&reserved=0> https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

 • Capacity Index  Sub-TLV                            

We can have:

| Type                          | Length                        |

~                                                               ~

~                                                               ~

~                                                               ~  

 

Thank you very much.

Linda Dunbar

Thanks,

Acee

From: Linda Dunbar < <mailto:[email-masked]> [email-masked]>

To: Yingzhen Qu < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>

Resent-From: < <mailto:[email-masked]> [email-masked]>

Resent-To: Yingzhen Qu < <mailto:[email-masked]> [email-masked]>, Acee Lindem < <mailto:[email-masked]> [email-masked]>, Christian Hopps < <mailto:[email-masked]> [email-masked]>

LSR Chairs, YingZhen,

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C5c9f2260a6984c7cdfbc08d88123af6d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637401337583341426%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=NghZMuTjdjOpHn0I5eCocGSvqYCQgJAWjYTrtmsWGY4%3D&reserved=0> 

Thank you very much,

Linda Dunbar

Hi all, 

Thanks,

Yingzhen

Lsr mailing list

[email-masked] <mailto:[email-masked]>

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 6 Nov 2020 14:44:51 +0000

Aijun,

There are three Metrics to be collected for 5G Edge Computing servers, to be carried by the three corresponding  Sub-TLVs proposed by the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/

  *   IP-Layer Metric for App Server Load Measurement:

Two types of Load Measurement Sub-TLVs are specified. One is to carry the aggregated cost Index based on weighted combination of the collected measurements; another one is to carry the raw measurements of packets/bytes to/from the App Server address. The raw measurement is useful when the egress routers cannot be configured with a consistent algorithm to compute the aggregated load index and the raw measurements are needed by a central analytic system.

  *   Capacity Index

Capacity Index is used to differentiate the running environment of the application server. Some data centers can have hundreds, or thousands, of servers behind an Application Server’s App Layer Load Balancer that is reachable from external world. Other data centers can have very small number of servers for the application server. “Capacity Index”, which is a numeric number, is used to represent the capacity of the application server in a specific location.

  *   Site preference index:
[IPv6-StickyService] describes a scenario that some sites are more preferred for handling an application than others for flows from a specific UE.

The Update frequency for the 3 sub-TLVs can be different. The Site Preference Index and the Capacity Index should be in the same frequency as the Extended Prefix TLV because as the Application Server Prefix changes, their corresponding Site Preference and the Capacity Index would change as well.
The Update frequency for the Load Measurement should be high to reflect the running load of the App servers. Currently, default is 3600 seconds, but can also be a user specified period in seconds.

Any other suggestions or comments?

Linda Dunbar

From: Aijun Wang <[email-masked]>
Sent: Thursday, November 5, 2020 7:21 PM
To: Linda Dunbar <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda:

For example,

Best Regards

Aijun Wang
China Telecom

From: Linda Dunbar [mailto:[email-masked]]
Sent: Friday, November 6, 2020 12:57 AM
To: Aijun Wang <[email-masked]<mailto:[email-masked]>>; 'Acee Lindem (acee)' <[email-masked]<mailto:[email-masked]>>; 'Yingzhen Qu' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Ai Jun,

Thank you very much.

Linda

From: Aijun Wang <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, November 4, 2020 8:03 PM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>; 'Acee Lindem (acee)' <[email-masked]<mailto:[email-masked]>>; 'Yingzhen Qu' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda:

Best Regards

Aijun Wang
China Telecom

Acee,

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C2f1c51ec07de4cfced5908d881f22dc4%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402224453498580%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=d%2B5SQkJSd40ykZDuqxL0U1RNdKiFiXR%2FPljSgqrE0gw%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

We can have:

Thank you very much.

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C2f1c51ec07de4cfced5908d881f22dc4%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402224453508393%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=MSNE4hXo5LnoLkFH3Y7vTN9Ov5Wcq6LKlz0PrqkmQfA%3D&reserved=0>

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 6 Nov 2020 17:26:30 +0000

Aijun,

I read through your draft, need to clarify a few things:

  1.  Is your “Passive Link” same as the “Stub Link”?
  2.  Are you suggesting that the “Passive Link” to be advertised less often than the regular LSA?

Thank you,

Linda

From: Aijun Wang <[email-masked]>
Sent: Thursday, November 5, 2020 7:35 PM
To: Linda Dunbar <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Peter Psenak' <ppsenak=[email-masked]>; 'Jeff Tantsura' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

From this use case, together with another draft(https://datatracker.ietf.org/doc/draft-wang-lsr-passive-interface-attribute/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-wang-lsr-passive-interface-attribute%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049926010%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=UUGE%2F6VXzQTnAYEqHq8y91zfRlorFitl9wpF5lqiSqI%3D&reserved=0>) that we are proposing and discussing, as in https://mailarchive.ietf.org/arch/msg/lsr/imojDOsS3W3B2H2SbmUT0QKjbxM/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Flsr%2FimojDOsS3W3B2H2SbmUT0QKjbxM%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049926010%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=yYJ1hceIJEGByWaTha6PjowYkoa0Hbsn0Ekup2pRCpk%3D&reserved=0>
It is more convincible to define one new top TLV, for example, Stub-Link TLV, to contain your current proposed sub-TLV, and other futures information.

Best Regards

Aijun Wang
China Telecom

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Friday, November 6, 2020 12:04 AM
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; Jeff Tantsura <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Jeff and Acee,

Linda

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, November 4, 2020 6:42 PM
To: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Exactly.
Thanks,
Acee

Cheers,
Jeff

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049936011%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=3zom9hRpZxml8ZcHRYSlvT%2B%2B8slMqI4Wkz8i%2Bsq%2F78o%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

We can have:

Thank you very much.

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049946003%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=z51rG6ODVK7sj2xlLkn2utpzw1e0NbXhY%2BO8hDm%2F8hQ%3D&reserved=0>

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049956004%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=s7uVUm1L5QDDsOZF6rZS6qg45fEHepOq8la9IJ4ejJo%3D&reserved=0>

---

From: "Aijun Wang" <[email-masked]>
Date: Mon, 9 Nov 2020 09:25:49 +0800

Hi, Linda:

If the Load Measurement interval is 3600 seconds, I think it is acceptable. But can such long interval meet the requirement of the edge computing? And if the user specified one very short period, will it influence the performance of SPF calculation on each router?

Best Regards

Aijun Wang

China Telecom

From: Linda Dunbar [mailto:[email-masked]] 
Sent: Friday, November 6, 2020 10:45 PM
To: Aijun Wang <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Aijun, 

-   IP-Layer Metric for App Server Load Measurement:

-   Capacity Index

-   Site preference index: 

 

Linda Dunbar

 

Hi, Linda:

For example, 

 

Best Regards

Aijun Wang

China Telecom

From: Linda Dunbar [mailto:[email-masked]] 
Sent: Friday, November 6, 2020 12:57 AM
To: Aijun Wang <[email-masked] <mailto:[email-masked]> >; 'Acee Lindem (acee)' <[email-masked] <mailto:[email-masked]> >; 'Yingzhen Qu' <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Ai Jun, 

Thank you very much. 

Linda

Hi, Linda:

 

Best Regards

Aijun Wang

China Telecom

Acee, 

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C2f1c51ec07de4cfced5908d881f22dc4%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402224453498580%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=d%2B5SQkJSd40ykZDuqxL0U1RNdKiFiXR%2FPljSgqrE0gw%3D&reserved=0>  proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

Ø  Capacity Index  Sub-TLV                             

We can have: 

| Type                          | Length                        |

~                                                               ~ 

~                                                               ~ 

~                                                               ~  

 

Thank you very much. 

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen, 

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C2f1c51ec07de4cfced5908d881f22dc4%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402224453508393%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=MSNE4hXo5LnoLkFH3Y7vTN9Ov5Wcq6LKlz0PrqkmQfA%3D&reserved=0> 

Thank you very much, 

Linda Dunbar

Hi all, 

Thanks,

Yingzhen

---

From: "Aijun Wang" <[email-masked]>
Date: Mon, 9 Nov 2020 09:27:05 +0800

Hi, Linda:

From: Linda Dunbar [mailto:[email-masked]] 
Sent: Saturday, November 7, 2020 1:27 AM
To: Aijun Wang <[email-masked]>; 'Acee Lindem (acee)' <[email-masked]>; 'Peter Psenak' <ppsenak=[email-masked]>; 'Jeff Tantsura' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Aijun, 

[WAJ] Yes.

[WAJ] No. It is same.

Thank you, 

Linda

From: Aijun Wang <[email-masked] <mailto:[email-masked]> > 
Sent: Thursday, November 5, 2020 7:35 PM
To: Linda Dunbar <[email-masked] <mailto:[email-masked]> >; 'Acee Lindem (acee)' <[email-masked] <mailto:[email-masked]> >; 'Peter Psenak' <ppsenak=[email-masked] <mailto:ppsenak=[email-masked]> >; 'Jeff Tantsura' <[email-masked] <mailto:[email-masked]> >; 'Yingzhen Qu' <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda, Acee, Jeff and Peter:

>From this use case, together with another draft(https://datatracker.ietf.org/doc/draft-wang-lsr-passive-interface-attribute/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-wang-lsr-passive-interface-attribute%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049926010%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=UUGE%2F6VXzQTnAYEqHq8y91zfRlorFitl9wpF5lqiSqI%3D&reserved=0> ) that we are proposing and discussing, as in https://mailarchive.ietf.org/arch/msg/lsr/imojDOsS3W3B2H2SbmUT0QKjbxM/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fmailarchive.ietf.org%2Farch%2Fmsg%2Flsr%2FimojDOsS3W3B2H2SbmUT0QKjbxM%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049926010%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=yYJ1hceIJEGByWaTha6PjowYkoa0Hbsn0Ekup2pRCpk%3D&reserved=0> 

 

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <mailto:[email-masked]>  [mailto:[email-masked]] On Behalf Of Linda Dunbar
Sent: Friday, November 6, 2020 12:04 AM
To: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> >; Jeff Tantsura <[email-masked] <mailto:[email-masked]> >; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Jeff and Acee, 

Linda

Exactly. 

Thanks,
Acee

From: Jeff Tantsura <[email-masked] <mailto:[email-masked]> >
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked] <mailto:[email-masked]> >, Yingzhen Qu <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, Linda Dunbar <[email-masked] <mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Cheers, 

Jeff

Acee,

In a nutshell, the  <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049936011%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=3zom9hRpZxml8ZcHRYSlvT%2B%2B8slMqI4Wkz8i%2Bsq%2F78o%3D&reserved=0> https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

 • Capacity Index  Sub-TLV                            

We can have:

| Type                          | Length                        |

~                                                               ~

~                                                               ~

~                                                               ~  

 

Thank you very much.

Linda Dunbar

Thanks,

Acee

LSR Chairs, YingZhen,

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049946003%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=z51rG6ODVK7sj2xlLkn2utpzw1e0NbXhY%2BO8hDm%2F8hQ%3D&reserved=0> 

Thank you very much,

Linda Dunbar

Hi all, 

Thanks,

Yingzhen

Lsr mailing list

https://www.ietf.org/mailman/listinfo/lsr <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf8b544146d184bfe98fa08d881f42cb5%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637402233049956004%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=s7uVUm1L5QDDsOZF6rZS6qg45fEHepOq8la9IJ4ejJo%3D&reserved=0>